メインコンテンツへスキップ
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
builds
/
{build_id}
/
logs
ビルドのログファイル用の事前署名付きURL
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds/{build_id}/logs \
  --header 'Authorization: Bearer <token>'
{
  "expires_at": 123,
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

権限

組織レベルの ManageRepoBlueprints 権限を持つサービスユーザーが必要です。

動作

ビルドのログファイルをダウンロードするための事前署名付きURLを返します。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

パスパラメータ

build_id
string
必須

レスポンス

成功レスポンス

再利用可能な presigned URL レスポンス(TTL は 10 分)。

expires_at
integer
必須

URL の有効期限が切れる Unix タイムスタンプ。

url
string
必須

Presigned GET URL(HTTPS)。